> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ship Detail

> Detailed ship compliance view with course breakdown.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/admin/analytics/ship-detail
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/admin/analytics/ship-detail:
    get:
      tags:
        - learn-admin-analytics
      summary: Get Ship Detail
      description: Detailed ship compliance view with course breakdown.
      operationId: get_ship_detail_api_v1_learn_admin_analytics_ship_detail_get
      parameters:
        - name: ship_id
          in: query
          required: true
          schema:
            type: string
            title: Ship Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__domain__admin_analytics__ShipDetailDTO
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    app__domain__admin_analytics__ShipDetailDTO:
      properties:
        ship:
          type: string
          title: Ship
        compliance:
          type: number
          title: Compliance
        fleetAvgCompliance:
          type: number
          title: Fleetavgcompliance
        crewOnboard:
          type: integer
          title: Crewonboard
        crewTrained:
          type: integer
          title: Crewtrained
        overdueCount:
          type: integer
          title: Overduecount
        courseBreakdown:
          items:
            $ref: '#/components/schemas/ShipCourseStatusDTO'
          type: array
          title: Coursebreakdown
      type: object
      required:
        - ship
        - compliance
        - fleetAvgCompliance
        - crewOnboard
        - crewTrained
        - overdueCount
        - courseBreakdown
      title: ShipDetailDTO
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ShipCourseStatusDTO:
      properties:
        course:
          type: string
          title: Course
        status:
          type: string
          title: Status
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        crewCompleted:
          type: integer
          title: Crewcompleted
        crewTotal:
          type: integer
          title: Crewtotal
      type: object
      required:
        - course
        - status
        - score
        - crewCompleted
        - crewTotal
      title: ShipCourseStatusDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````